#!/usr/bin/env node

const requestUtils = require('../src/utils/RequestUtils');
const consoleUtils = require('../src/utils/ConsoleUtils');

let data = {
    commander: 'stop'
};
let promise = requestUtils.request(data);
promise.then(result => {
    consoleUtils.out(result);
}).catch(err => {
    consoleUtils.out({
        success: false,
        type: "RequestException",
        title: "请求服务失败！",
        content: typeof (err) == "string" ? err : (err.stack ? err.stack : err.message)
    });
});