const webpack = require('webpack');

class Webpack {

    pack(config) {
        return new Promise((resolve, reject) => {
            /*let compiler = webpack(config);
            this.watching = compiler.watch({
                aggregateTimeout: 300,
                poll: 800,
                ignored: /node_modules/
            }, (err, stats) => {
                if (err) {
                    reject(err);
                } else {
                    if(stats.compilation.errors&&stats.compilation.errors.length>0){
                        reject(stats.compilation.errors[0]);
                    }else{
                        let assets = stats.compilation.assets;
                        let result = [];
                        Object.values(assets).forEach(asset => {
                            result.push(asset.existsAt);
                        });
                        resolve(JSON.stringify(result));
                    }
                }
            });*/
            webpack(config,(err, stats) => {
                if (err) {
                    reject(err);
                } else {
                    if(stats.compilation.errors&&stats.compilation.errors.length>0){
                        reject(stats.compilation.errors[0]);
                    }else{
                        resolve(stats);
                    }
                }
            });
        });
    }

    close() {
        return new Promise((resolve, reject) => {
            try {
                if (this.watching) {
                    this.watching.close();
                }
                resolve();
            } catch (err) {
                reject(err);
            }
        });
    }

}

module.exports = Webpack;