module.exports = {

	getTemplate : function(components){
		var script = [];
		script.push('<div class="PUBLayout showSide">\n');
		script.push('	<aside class="PUBLayout-side">\n');
		script.push('		<div class="PUBmenu">\n');
		for(var i=0,l=components.length;i<l;i++){
			var component = components[i]; 
			var wins = component.windows;
			script.push('		<dl>\n');
			script.push('			<dt>\n');
			script.push(component.name);
			script.push('			</dt>\n');
			if(wins){
				for(var j=0, len=wins.length; j < len; j++){ 
					var win = wins[j];
					var widgets = win.widgets;
					script.push('	<df id="'+component.code+'_'+win.code+'" componentCode="'+component.code+'" windowCode="'+win.code+'">\n');
					script.push('		<span>\n');
					script.push(win.code);
					script.push('		</span>\n');
					if(widgets && widgets.length > 0){
						for(var m = 0,n=widgets.length;m < n;m++){ 
							var widget = widgets[m];
							script.push('<dd id="'+component.code+'_'+win.code+'_'+widget.code+'" componentCode="'+component.code+'" windowCode="'+win.code+'" widgetCode="'+widget.code+'" >\n');
							script.push('	<a href="javascript:void(0)" onclick="openWin(\''+component.code+'\',\''+win.code+'\',\''+widget.code+'\')">\n');
							script.push('		<i class="icon icon-page"></i>\n');
							script.push('		<span>\n');
							script.push(widget.code);
							script.push('		</span>\n');
							script.push('	</a>\n');
							script.push('</dd>\n');
						}
                    }
                    script.push(`	</df>\n`);
				}
			}
			script.push('	</dl>\n');
		}
		script.push('	</div>\n');
		script.push('	<div class="handler" id="toggle_handler">\n');
		script.push('		<span class="icon icon-arrow"></span>\n');
		script.push('	</div>\n');
		script.push('</aside>\n');
		script.push('<div class="PUBLayout-main">\n');
		script.push('	<iframe src="" frameborder="0" width="100%" height="100%" id="winIframe"></iframe>\n');
		script.push('</div>\n');
		script.push('</div>\n');
        return script.join('');
	}

};