class CommandResult{

    constructor(params){
        this.success = params.success;
        this.type = params.type;
        this.title = params.title;
        this.content = params.content;
    }

    setSuccess(success){
        this.success = success;
    }

    isSuccess(){
        return this.success;
    }

    setType(type){
        this.type = type;
    }

    getType(){
        return this.type;
    }

    setTitle(title){
        this.title = title;
    }

    getTitle(){
        return this.title;
    }

    setContent(content){
        this.content = content;
    }

    getContent(){
        return this.content;
    }

    toJson(){
        return {
            success : this.isSuccess(),
            type : this.getType(),
            title : this.getTitle(),
            content : this.getContent()
        };
    }

}

module.exports = CommandResult;